Get Pipelines
Get Pipelines
GET
/
opportunities
/
pipelines
Get Pipelines
curl --request GET \
--url https://services.leadconnectorhq.com/opportunities/pipelines \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/opportunities/pipelines', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/opportunities/pipelines"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"pipelines": [
{
"id": "aWdODOBVOlH1RUFKWQke",
"name": "new pipeline",
"stages": [
"<array>"
],
"showInFunnel": false,
"showInPieChart": true,
"locationId": "dsjddjkndadqaja"
}
]
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}Authorizations
Last modified on March 8, 2026
Was this page helpful?
Get Pipelines
curl --request GET \
--url https://services.leadconnectorhq.com/opportunities/pipelines \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/opportunities/pipelines', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/opportunities/pipelines"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"pipelines": [
{
"id": "aWdODOBVOlH1RUFKWQke",
"name": "new pipeline",
"stages": [
"<array>"
],
"showInFunnel": false,
"showInPieChart": true,
"locationId": "dsjddjkndadqaja"
}
]
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}